=== debian/changelog ===
x2goserver (4.1.0.6-1.1build2) plucky; urgency=medium

  * No-change rebuild for upperlimit-perl.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 18:52:57 +0100

x2goserver (4.1.0.6-1.1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:52:21 +0200

x2goserver (4.1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1052508)

 -- Paul Gevers <elbrus@debian.org>  Sat, 23 Sep 2023 16:10:47 +0200

x2goserver (4.1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Add bin:pkg x2goserver-x2gokdrive.
  * debian/x2goserver.install:
    + Update for x2goserver 4.1.0.6.
  * debian/patches:
    + Update 1001_fix-desktopsharing-version.patch. Upstream version still
      wrong.
    + Drop patches 0001 - 0010. All applied upstream.
    + Drop 1002_cross.patch. Applied upstream.
    + Trivially rebase 1003_support-startkde-from-old-x2goclients.patch.
    + Add 1004_fix-manpage-generation-in-Makefile.patch. Fix re-generation
      of x2gocleansessions.8 and x2gooptionsstring.1 man pages during build.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Properly clean-up Makefile.perl.old during d/rules's clean target.
      (Closes: #1048545).
  * debian/{man/x2gocleansessions.8,x2goserver.manpages}:
    + Stop shipping maintainer man page for x2gocleansessions.8.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 14:33:25 +0200

x2goserver (4.1.0.3-9) unstable; urgency=medium

  * debian/patches:
    + Add 1003_support-startkde-from-old-x2goclients.patch. Translate startkde
      command coming from old X2Go Clients to startplasma-x11.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2023 11:19:33 +0200

x2goserver (4.1.0.3-8) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream fixes between 4.1.0.3 and 4.1.0.6, i.e. add patches
      0004 - 0010. (Closes: #1050213).
    + Add Forwarded: fields to pathces 1001 and 1002. Both accepted upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump DH compat level to version 13.
    + Drop D (x2goserver): lsb-base. Obsoleted in Debian.
  * debian/po/fi.po:
    + Convert from iso8859 encoding to utf8. Thanks, lintian.
  * debian/watch:
    + Bump watch file format to version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 08:15:33 +0200

x2goserver (4.1.0.3-7) unstable; urgency=medium

  * debian/x2goserver-*.postrm:
    + Ignore failures from deluser/delgroup. (Closes: #1034758).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 May 2023 16:25:39 +0200

x2goserver (4.1.0.3-6) unstable; urgency=medium

  * debian/po:
    + Add pt_BR.po. Thanks to Adriano Rafael Gomes. (Closes: #972453).
    + Add es.po. Thanks to Camaleón. (Closes: #987341).
    + Add tr.po. Thanks to Atila KOÇ. (Closes: #1032883).
  * debian/patches:
    + Add 0002-x2goserver-xsession-Port-OPTIONS-variable-and-has_op.patch. Make
      X2Go Server's Xsession startup process compatible with recent Xsession
      scripts. (Closes: #1033533).
  * debian/x2goserver-xsession.lintian-overrides:
    + Drop file. Only override 'package-contains-broken-symlink' not known
      anymore today and also nothing like it gets triggered in lintian.
  * debian/copyright:
    + Amend various inconsistencies. Thanks, lintian. Update copyright
      attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Mar 2023 23:19:51 +0200
